Package org.springframework.security.config.authentication

# Class AbstractUserDetailsServiceBeanDefinitionParser

java.lang.Object
org.springframework.security.config.authentication.AbstractUserDetailsServiceBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

Direct Known Subclasses:
  `JdbcUserServiceBeanDefinitionParser`, `LdapUserServiceBeanDefinitionParser`, `UserServiceBeanDefinitionParser`

public abstract class AbstractUserDetailsServiceBeanDefinitionParser extends Object implements org.springframework.beans.factory.xml.BeanDefinitionParser

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CACHING_SUFFIX`

## Constructor Summary

Constructors
Constructor
Description
`AbstractUserDetailsServiceBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected abstract String`
`getBeanClassName(Element element)`
`org.springframework.beans.factory.config.BeanDefinition`
`parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CACHING_SUFFIX

public static final String CACHING_SUFFIX

See Also:
  - Constant Field Values

## Constructor Details

### AbstractUserDetailsServiceBeanDefinitionParser

public AbstractUserDetailsServiceBeanDefinitionParser()

## Method Details

### getBeanClassName

protected abstract String getBeanClassName(Element element)

### doParse

protected abstract void doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

### parse

public org.springframework.beans.factory.config.BeanDefinition parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)

Specified by:
  `parse` in interface `org.springframework.beans.factory.xml.BeanDefinitionParser`